GrailsVersionUtils (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class GrailsVersionUtils

    java.lang.Object
      org.codehaus.groovy.grails.plugins.GrailsVersionUtils

    @groovy.transform.CompileStatic
    class GrailsVersionUtils
    extends java.lang.Object

Method Summary
`static java.lang.String` | `getLowerVersion(java.lang.String pluginVersion)` Returns the lower version of a Grails version number expression in a plugin
`static java.lang.String` | `getPluginName(java.lang.Class clazz)` Get the name of the a plugin for a particular class.
`static java.lang.String` | `getPluginVersion(java.lang.Class clazz)` Get the version of the a plugin for a particular class.
`static java.lang.String` | `getUpperVersion(java.lang.String pluginVersion)` Returns the upper version of a Grails version number expression in a plugin
`static boolean` | `isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)` Check if the required version is a valid for the given plugin version.
`static boolean` | `isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)` Returns true if rightVersion is greater than leftVersion
`static boolean` | `supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getLowerVersion

    static java.lang.String getLowerVersion(java.lang.String pluginVersion)

  Returns the lower version of a Grails version number expression in a plugin

### getPluginName

    @groovy.transform.CompileStatic
    static java.lang.String getPluginName(java.lang.Class clazz)

  Get the name of the a plugin for a particular class.

### getPluginVersion

    @groovy.transform.CompileStatic
    static java.lang.String getPluginVersion(java.lang.Class clazz)

  Get the version of the a plugin for a particular class.

### getUpperVersion

    static java.lang.String getUpperVersion(java.lang.String pluginVersion)

  Returns the upper version of a Grails version number expression in a plugin

### isValidVersion

    static boolean isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)

  Check if the required version is a valid for the given plugin version.
  Parameters:
    `pluginVersion` - The plugin version
    `requiredVersion` - The required version
  Returns:
    true if it is valid

### isVersionGreaterThan

    static boolean isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)

  Returns true if rightVersion is greater than leftVersion
  Parameters:
    leftVersion
    rightVersion
  Returns:

### supportsAtLeastVersion

    static boolean supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)

Groovy Documentation